Request

Response

    GET

    exports

    Get a list of available exports.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/insights/v1/exports
    Required OAuth Scopes
    data:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is obtained via a three-legged OAuth flow.
    * Required

    Request

    URI Parameters

    teamId
    string
    To restrict results to only exports for a specific team, specify the ID of that team; otherwise results are returned without respect to team.
    limit
    integer
    For paging through results, this is the number of results that will be returned. Defaults to 100.
    offset
    integer
    For paging through results, this is the first result that will be returned. Defaults to 0.

    Response

    HTTP Status Code Summary

    200
    OK
    Request succeeded.
    401
    Unauthorized
    The provided bearer token is not valid.
    403
    Forbidden
    The user or service represented by the bearer token does not have permission to perform this operation.
    500
    Internal Server Error
    An unknown error occurred on the server.

    Response

    Body Structure (200)

    pagination
    object
    pagination.pagination[i].totalResults
    integer
    total number of records available.
    pagination.pagination[i].offset
    integer
    offset (from zero) representing the start of the current result set.
    pagination.pagination[i].limit
    integer
    number of results in the current result set.
    exports
    array
    exports.exports[i].id
    string
    Uniquely identifies this export.
    exports.exports[i].timestamp
    string (date-time)
    Date/time (UTC) at which this export was created.
    exports.exports[i].teamId
    string
    Unique identifier for the team associated with this export.
    exports.exports[i].teamName
    string
    Name of the team associated with this export.
    exports.exports[i].downloads
    array
    If this export has completed, this section provides the location(s) from which the exported data can be downloaded. Some export types produce multiple downloads, but every successful export will produce a download with a type.
    exports.exports[i].downloads.downloads[i].type
    enum:string
    Reports that can be requested when submitting an export request. Possible values: SUBSCRIPTIONS, USERS, GROUPS, USAGE, USAGE_REPORT
    exports.exports[i].downloads.downloads[i].downloadURL
    string
    URL from which the exported data can be downloaded. Note that this URL is transient and will expire after a few minutes.
    exports.exports[i].status
    enum:string
    SUBMITTED is a transitional/in-progress state, the others are permanent (i.e. a request can go from SUBMITTED to COMPLETED or from SUBMITTED to ERROR, but never from COMPLETED/ERROR to anything else). Possible values: SUBMITTED, COMPLETED, EXPIRED, ERROR
    exports.exports[i].outputFormat
    enum:string
    Output format that will be used for files produced by this export. Possible values: CSV, EXCEL, JSON
    exports.exports[i].reports
    array
    The reports that were requested when this export was created.

    Example

    Successful polling for an export request. (200)

    Request

    curl  -X GET \
          'https://developer.api.autodesk.com/insights/v1/exports' \
          -H 'Content-Type: application/json' \
          -H 'Authorization: Bearer eyJhbGciOiJIUzI1N'
    

    Response

    {
          "exports": [{
                          "id": "064324c4-2fe6-4fe3-91e8-8aacb22b1376",
                          "timestamp": "2021-11-03T22:10:56Z",
                          "downloads": [{
                                  "type": "SUBSCRIPTIONS",
                                  "downloadURL": "https://presigned-url..."
                          }],
                          "status": "COMPLETED",
                          "outputFormat": "EXCEL",
                          "teamId": null,
                          "teamName": null,
                          "reports": [
                                  "SUBSCRIPTIONS"
                          ]
                  },
                  {
                          "id": "b086e1d4-f044-4c39-8ce6-3e31b48322a0",
                          "timestamp": "2021-10-25T22:31:13Z",
                          "downloads": [{
                                  "type": "ALL",
                                  "downloadURL": "https://presigned-url..."
                          }],
                          "status": "COMPLETED",
                          "outputFormat": "EXCEL",
                          "teamId": "4280140",
                          "teamName": "Welch Grape Shack",
                          "reports": [
                                  "SUBSCRIPTIONS",
                                  "USERS",
                                  "USAGE"
                          ]
                  }
          ],
          "pagination": {
                  "offset": 0,
                  "limit": 100,
                  "totalResults": 2
          }
    }
    
    Show More

    Example

    Unauthorized. (401)

    Request

    curl  -X GET \
          'https://developer.api.autodesk.com/insights/v1/exports' \
          -H 'Content-Type: application/json' \
          -H 'Authorization: Bearer eyJhbGciOiJIUzI1N'
    

    Response

    {
          "developerMessage": "Access token provided is invalid or expired.",
          "moreInfo": "https://forge.autodesk.com/en/docs/oauth/v2/developers_guide/error_handling/",
          "errorCode": "AUTH-006"
    }